Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000336 [Yate - Yet Another Telephony Engine] engine major always 2013-04-18 13:20 2014-02-26 16:55
Reporter asymetrixs View Status public  
Assigned To paulc
Priority normal Resolution fixed  
Status resolved   Product Version 4.x
Summary 0000336: JS: Engine.sleep(X) does cause the call to hangup
Description Answering a call in a JS routing script by playing a file and then trying to pause the call for a specific time using Engine.sleep(X) causes the call to get hangup after sleeper elapsed.

Look for "Sleep 5" in the Additional information, as this is where a voice file was played to the user (from DB) and right after that Engine.sleep(5) is invoked.
Additional Information reload javascript
Reinitializing...
Initializing plugin 'javascript'
Initializing module Javascript
20130418100428.638721 <javascript:INFO> Parsed routing script: /etc/yate/scripts/dispatcher.js
20130418100430.316881 <sip:INFO> 'udp:0.0.0.0:5060' received 922 bytes SIP message from 172.16.1.29:56802 [0x148fae0]
------
INVITE sip:49211XXXXXXXXX@172.16.1.23;transport=UDP SIP/2.0
Via: SIP/2.0/UDP 172.16.1.29:56802;branch=z9hG4bK-d8754z-8b7d0e767cfb5eae-1---d8754z-;rport
Max-Forwards: 70
Contact: <sip:4915XXXXXXXXX@172.16.1.29:56802;transport=UDP>
To: <sip:49211XXXXXXXXX@172.16.1.23;transport=UDP>
From: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=b7088d3c
Call-ID: OWM4YzhjNGYxNGZmMjZmYzU1NmNkMTIzZTVjYTM4N2U.
CSeq: 1 INVITE
Allow: INVITE, ACK, CANCEL, BYE, NOTIFY, REFER, MESSAGE, OPTIONS, INFO, SUBSCRIBE
Content-Type: application/sdp
Supported: replaces, norefersub, extended-refer, X-cisco-serviceuri
User-Agent: Zoiper r16950
Allow-Events: presence, kpml
Content-Length: 238

v=0
o=Z 0 0 IN IP4 172.16.1.29
s=Z
c=IN IP4 172.16.1.29
t=0 0
m=audio 56362 RTP/AVP 3 110 98 8 0 101
a=rtpmap:110 speex/8000
a=rtpmap:98 iLBC/8000
a=fmtp:98 mode=20
a=rtpmap:101 telephone-event/8000
a=fmtp:101 0-15
a=sendrecv
------
20130418100430.329458 <sip:INFO> 'udp:0.0.0.0:5060' sending code 100 0x7feaa40023a0 to 172.16.1.29:56802 [0x148fae0]
------
SIP/2.0 100 Trying
Via: SIP/2.0/UDP 172.16.1.29:56802;branch=z9hG4bK-d8754z-8b7d0e767cfb5eae-1---d8754z-;rport=56802;received=172.16.1.29
From: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=b7088d3c
To: <sip:49211XXXXXXXXX@172.16.1.23;transport=UDP>
Call-ID: OWM4YzhjNGYxNGZmMjZmYzU1NmNkMTIzZTVjYTM4N2U.
CSeq: 1 INVITE
Server: YATE/4.3.1
Content-Length: 0

------
20130418100430.331619 <sip/7:ALL> YateSIPConnection::YateSIPConnection(0x7feaa4001be0,0x7fea94040a30) [0x7feaa4000c20]
20130418100430.332772 <sip/7:ALL> NAT address is '(null)' [0x7feaa4000c20]
20130418100430.337223 <INFO> Could not classify call from '4915XXXXXXXXX', wasted 8 usec
20130418100430.339181 <NOTE> Call From: 4915XXXXXXXXX
20130418100430.339544 <NOTE> IN: Utility.DbQuery
20130418100430.340268 <javascript:NOTE> Channel 'sip/7' already assisted!
20130418100430.394885 <sip/7:ALL> NAT address is '(null)' [0x7feaa4000c20]
20130418100430.396653 <mysqldb:ALL> Got result set 0x7feaac012980 rows=1 cols=1
20130418100430.397436 <wave:INFO> Play from wave file '/tmp/backup.au'
20130418100430.397731 <wave/14:ALL> WaveChan::WaveChan(play) [0x7feaac0133c0]
20130418100430.397939 <wave:ALL> WaveSource::WaveSource("/tmp/backup.au",0x7feaac0133c0) [0x7feaac0135b0]
20130418100430.398135 <MILD> Invalid .au file header, assuming raw signed linear
20130418100430.398978 <sip/7:NOTE> Answering now call sip/7 because we have no targetid [0x7feaa4000c20]
20130418100430.399286 <yrtp:ALL> RTP/AVP message received
20130418100430.399582 <yrtp:INFO> Guessed local IP '172.16.1.23' for remote '172.16.1.29'
20130418100430.399883 <yrtp:ALL> YRTPWrapper::YRTPWrapper('172.16.1.23',0x7feaa4000c20,'audio',bidir,0x7feaac0136e0,false) [0x7feaac013f30]
20130418100430.400711 <yrtp:ALL> YRTPWrapper::setupRTP("172.16.1.23",true) [0x7feaac013f30]
20130418100430.400802 <yrtp:INFO> Session 'yrtp/866215423' 0x7feaac01a420 bound to 172.16.1.23:31228 +RTCP [0x7feaac013f30]
20130418100430.400985 <yrtp:ALL> YRTPSource::YRTPSource(0x7feaac013f30) [0x7feaac01a700]
20130418100430.401345 <yrtp:ALL> YRTPConsumer::YRTPConsumer(0x7feaac013f30) [0x7feaac01a8a0]
20130418100430.402418 <INFO> DataTranslator::attachChain [0x7feaac0135b0] 'slin' -> [0x7feaac01a8a0] '(null)' not possible
20130418100430.402844 <yrtp:ALL> YRTPWrapper::setupSRTP(false) [0x7feaac013f30]
20130418100430.405852 <sip:INFO> 'udp:0.0.0.0:5060' sending code 200 0x7feaac0128c0 to 172.16.1.29:56802 [0x148fae0]
------
SIP/2.0 200 OK
Via: SIP/2.0/UDP 172.16.1.29:56802;branch=z9hG4bK-d8754z-8b7d0e767cfb5eae-1---d8754z-;rport=56802;received=172.16.1.29
From: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=b7088d3c
To: <sip:49211XXXXXXXXX@172.16.1.23;transport=UDP>;tag=878072300
Call-ID: OWM4YzhjNGYxNGZmMjZmYzU1NmNkMTIzZTVjYTM4N2U.
CSeq: 1 INVITE
Server: YATE/4.3.1
Contact: <sip:49211XXXXXXXXX@172.16.1.23:5060>
Allow: ACK, INVITE, BYE, CANCEL, REGISTER, REFER, OPTIONS, INFO
Content-Type: application/sdp
Content-Length: 314

v=0
o=yate 1366279470 1366279470 IN IP4 172.16.1.23
s=SIP Call
c=IN IP4 172.16.1.23
t=0 0
m=audio 31228 RTP/AVP 3 110 98 8 0 101
a=rtpmap:3 GSM/8000
a=rtpmap:110 SPEEX/8000
a=rtpmap:98 iLBC/8000
a=fmtp:98 mode=20
a=rtpmap:8 PCMA/8000
a=rtpmap:0 PCMU/8000
a=rtpmap:101 telephone-event/8000
a=ptime:20
------
20130418100430.911041 <sip:INFO> 'udp:0.0.0.0:5060' sending code 200 0x7feaac0128c0 to 172.16.1.29:56802 [0x148fae0]
------
SIP/2.0 200 OK
Via: SIP/2.0/UDP 172.16.1.29:56802;branch=z9hG4bK-d8754z-8b7d0e767cfb5eae-1---d8754z-;rport=56802;received=172.16.1.29
From: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=b7088d3c
To: <sip:49211XXXXXXXXX@172.16.1.23;transport=UDP>;tag=878072300
Call-ID: OWM4YzhjNGYxNGZmMjZmYzU1NmNkMTIzZTVjYTM4N2U.
CSeq: 1 INVITE
Server: YATE/4.3.1
Contact: <sip:49211XXXXXXXXX@172.16.1.23:5060>
Allow: ACK, INVITE, BYE, CANCEL, REGISTER, REFER, OPTIONS, INFO
Content-Type: application/sdp
Content-Length: 314

v=0
o=yate 1366279470 1366279470 IN IP4 172.16.1.23
s=SIP Call
c=IN IP4 172.16.1.23
t=0 0
m=audio 31228 RTP/AVP 3 110 98 8 0 101
a=rtpmap:3 GSM/8000
a=rtpmap:110 SPEEX/8000
a=rtpmap:98 iLBC/8000
a=fmtp:98 mode=20
a=rtpmap:8 PCMA/8000
a=rtpmap:0 PCMU/8000
a=rtpmap:101 telephone-event/8000
a=ptime:20
------
20130418100430.919828 <sip:INFO> 'udp:0.0.0.0:5060' received 468 bytes SIP message from 172.16.1.29:56802 [0x148fae0]
------
ACK sip:49211XXXXXXXXX@172.16.1.23:5060 SIP/2.0
Via: SIP/2.0/UDP 172.16.1.29:56802;branch=z9hG4bK-d8754z-d75ca2be456f61f4-1---d8754z-;rport
Max-Forwards: 70
Contact: <sip:4915XXXXXXXXX@172.16.1.29:56802;transport=UDP>
To: <sip:49211XXXXXXXXX@172.16.1.23;transport=UDP>;tag=878072300
From: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=b7088d3c
Call-ID: OWM4YzhjNGYxNGZmMjZmYzU1NmNkMTIzZTVjYTM4N2U.
CSeq: 1 ACK
User-Agent: Zoiper r16950
Content-Length: 0

------
20130418100430.923232 <yrtp:ALL> RTP/AVP message received
20130418100430.923909 <yrtp:ALL> Wrapper 0x7feaac013f30 found by CallEndpoint 0x7feaa4000c20
20130418100430.924958 <yrtp:ALL> YRTPWrapper::startRTP("172.16.1.29",56362) [0x7feaac013f30]
20130418100430.925840 <yrtp:INFO> RTP starting format 'gsm' payload 3 [0x7feaac013f30]
20130418100430.927334 >>> DataTranslator::detachChain(0x7feaac0135b0,0x7feaac01a8a0)
20130418100430.929450 <<< DataTranslator::detachChain
20130418100430.931394 <ALL> GsmCodec::GsmCodec("slin","gsm",encoding) [0x7feaa40092d0]
20130418100430.933005 <ALL> Created DataTranslator 0x7feaa40092d0 for 'slin' -> 'gsm' by factory 0x7feac5d160a8 (len=1)
20130418100430.936001 <ALL> DataTranslator::attachChain [0x7feaac0135b0] 'slin' -> [0x7feaac01a8a0] 'gsm' succeeded
20130418100430.938048 <NOTE> Choosing started 'audio' format 'gsm' [0x7feaa4005500]
20130418100431.014069 <sip:INFO> 'udp:0.0.0.0:5060' received 468 bytes SIP message from 172.16.1.29:56802 [0x148fae0]
------
ACK sip:49211XXXXXXXXX@172.16.1.23:5060 SIP/2.0
Via: SIP/2.0/UDP 172.16.1.29:56802;branch=z9hG4bK-d8754z-d75ca2be456f61f4-1---d8754z-;rport
Max-Forwards: 70
Contact: <sip:4915XXXXXXXXX@172.16.1.29:56802;transport=UDP>
To: <sip:49211XXXXXXXXX@172.16.1.23;transport=UDP>;tag=878072300
From: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=b7088d3c
Call-ID: OWM4YzhjNGYxNGZmMjZmYzU1NmNkMTIzZTVjYTM4N2U.
CSeq: 1 ACK
User-Agent: Zoiper r16950
Content-Length: 0

------
20130418100431.998708 <wave:ALL> WaveSource '(null)' end of data (17004 played) chan=0x7feaac0133c0 [0x7feaac0135b0]
20130418100431.999017 <wave:ALL> WaveSource cleanup, total=17004, chan=(nil) [0x7feaac0135b0]
20130418100431.999236 >>> DataTranslator::detachChain(0x7feaac0135b0,0x7feaac01a8a0)
20130418100431.999519 >>> DataTranslator::detachChain(0x7feaac0135b0,0x7feaa40092d0)
20130418100431.999861 <<< DataTranslator::detachChain
20130418100432.000200 <ALL> GsmCodec::~GsmCodec() [0x7feaa40092d0]
20130418100432.000441 <<< DataTranslator::detachChain
20130418100432.000630 <sip/7:ALL> YateSIPConnection::disconnected() '(null)' [0x7feaa4000c20]
20130418100432.000841 <wave:ALL> WaveSource::~WaveSource() [0x7feaac0135b0] total=17004 stamp=8480
20130418100432.001084 <wave:INFO> WaveSource rate=16007 b/s
20130418100432.001391 <NOTE> Sleep 5
20130418100432.001969 <wave/14:ALL> WaveChan::~WaveChan() wave/14 [0x7feaac0133c0]
20130418100434.553740 <sip:INFO> 'udp:0.0.0.0:5060' received 889 bytes SIP message from 172.16.1.29:56802 [0x148fae0]
------
REGISTER sip:172.16.1.23;transport=UDP SIP/2.0
Via: SIP/2.0/UDP 172.16.1.29:56802;branch=z9hG4bK-d8754z-e788a144b60e6234-1---d8754z-;rport
Max-Forwards: 70
Contact: <sip:4915XXXXXXXXX@172.16.1.29:56802;rinstance=909d53bdcf08b7a4;transport=UDP>
To: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>
From: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=6207017b
Call-ID: ODE1YTkwZWJkMzc0MTVhMTczZTliMmIxYWMyNjY5ZTk.
CSeq: 10 REGISTER
Expires: 60
Allow: INVITE, ACK, CANCEL, BYE, NOTIFY, REFER, MESSAGE, OPTIONS, INFO, SUBSCRIBE
Supported: replaces, norefersub, extended-refer, X-cisco-serviceuri
User-Agent: Zoiper r16950
Authorization: Digest username="4915XXXXXXXXX",realm="Yate",nonce="e155fcc62a9ee5401dfb5847cb31a5e1.1366279420",uri="sip:172.16.1.23;transport=UDP",response="47a910f388394803da8b3fe9bf928d10",algorithm=MD5
Allow-Events: presence, kpml
Content-Length: 0

------
20130418100434.560691 <sip:INFO> 'udp:0.0.0.0:5060' sending code 100 0x7feaa4005990 to 172.16.1.29:56802 [0x148fae0]
------
SIP/2.0 100 Trying
Via: SIP/2.0/UDP 172.16.1.29:56802;branch=z9hG4bK-d8754z-e788a144b60e6234-1---d8754z-;rport=56802;received=172.16.1.29
From: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=6207017b
To: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>
Call-ID: ODE1YTkwZWJkMzc0MTVhMTczZTliMmIxYWMyNjY5ZTk.
CSeq: 10 REGISTER
Server: YATE/4.3.1
Content-Length: 0

------
20130418100434.561296 <regfile:ALL> Authenticating user 4915XXXXXXXXX with password length 5
20130418100434.566237 <sip:INFO> 'udp:0.0.0.0:5060' sending code 401 0x7feab4003290 to 172.16.1.29:56802 [0x148fae0]
------
SIP/2.0 401 Unauthorized
Via: SIP/2.0/UDP 172.16.1.29:56802;branch=z9hG4bK-d8754z-e788a144b60e6234-1---d8754z-;rport=56802;received=172.16.1.29
From: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=6207017b
To: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>
Call-ID: ODE1YTkwZWJkMzc0MTVhMTczZTliMmIxYWMyNjY5ZTk.
CSeq: 10 REGISTER
WWW-Authenticate: Digest realm="Yate", nonce="851432aeb7bb7247636d402d7dc72faf.1366279474", stale=TRUE, algorithm=MD5
Server: YATE/4.3.1
Allow: ACK, INVITE, BYE, CANCEL, REGISTER, REFER, OPTIONS, INFO
Content-Length: 0

------
20130418100434.581007 <sip:INFO> 'udp:0.0.0.0:5060' received 889 bytes SIP message from 172.16.1.29:56802 [0x148fae0]
------
REGISTER sip:172.16.1.23;transport=UDP SIP/2.0
Via: SIP/2.0/UDP 172.16.1.29:56802;branch=z9hG4bK-d8754z-9f420b09cb2e4501-1---d8754z-;rport
Max-Forwards: 70
Contact: <sip:4915XXXXXXXXX@172.16.1.29:56802;rinstance=909d53bdcf08b7a4;transport=UDP>
To: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>
From: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=6207017b
Call-ID: ODE1YTkwZWJkMzc0MTVhMTczZTliMmIxYWMyNjY5ZTk.
CSeq: 11 REGISTER
Expires: 60
Allow: INVITE, ACK, CANCEL, BYE, NOTIFY, REFER, MESSAGE, OPTIONS, INFO, SUBSCRIBE
Supported: replaces, norefersub, extended-refer, X-cisco-serviceuri
User-Agent: Zoiper r16950
Authorization: Digest username="4915XXXXXXXXX",realm="Yate",nonce="851432aeb7bb7247636d402d7dc72faf.1366279474",uri="sip:172.16.1.23;transport=UDP",response="1d500134a6c60d273eea9c60914b344c",algorithm=MD5
Allow-Events: presence, kpml
Content-Length: 0

------
20130418100434.586725 <sip:INFO> 'udp:0.0.0.0:5060' sending code 100 0x7feaa4005990 to 172.16.1.29:56802 [0x148fae0]
------
SIP/2.0 100 Trying
Via: SIP/2.0/UDP 172.16.1.29:56802;branch=z9hG4bK-d8754z-9f420b09cb2e4501-1---d8754z-;rport=56802;received=172.16.1.29
From: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=6207017b
To: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>
Call-ID: ODE1YTkwZWJkMzc0MTVhMTczZTliMmIxYWMyNjY5ZTk.
CSeq: 11 REGISTER
Server: YATE/4.3.1
Content-Length: 0

------
20130418100434.587226 <regfile:ALL> Authenticating user 4915XXXXXXXXX with password length 5
20130418100434.587448 <regfile:ALL> Registered user 4915XXXXXXXXX via sip/sip:4915XXXXXXXXX@172.16.1.29:56802;rinstance=909d53bdcf08b7a4;transport=UDP
20130418100434.587701 <sip:NOTE> Registered user '4915XXXXXXXXX' expires in 60 s
20130418100434.592191 <sip:INFO> 'udp:0.0.0.0:5060' sending code 200 0x7feab40022f0 to 172.16.1.29:56802 [0x148fae0]
------
SIP/2.0 200 OK
Via: SIP/2.0/UDP 172.16.1.29:56802;branch=z9hG4bK-d8754z-9f420b09cb2e4501-1---d8754z-;rport=56802;received=172.16.1.29
From: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=6207017b
To: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=2098004254
Call-ID: ODE1YTkwZWJkMzc0MTVhMTczZTliMmIxYWMyNjY5ZTk.
CSeq: 11 REGISTER
Expires: 60
Contact: <sip:4915XXXXXXXXX@172.16.1.29:56802;rinstance=909d53bdcf08b7a4;transport=UDP>;expires=60
Server: YATE/4.3.1
Allow: ACK, INVITE, BYE, CANCEL, REGISTER, REFER, OPTIONS, INFO
Content-Length: 0

------
20130418100437.002025 <sip/7:ALL> YateSIPConnection::hangup() state=3 trans=(nil) error='(null)' code=0 reason='(null)' [0x7feaa4000c20]
20130418100437.002601 <yrtp:ALL> RTP/AVP message received
20130418100437.002753 <yrtp:ALL> Wrapper 0x7feaac013f30 found by ID 'yrtp/866215423'
20130418100437.003118 <yrtp:INFO> YRTPWrapper::terminate() [0x7feaac013f30]
20130418100437.003279 <yrtp:ALL> YRTPSource::~YRTPSource() [0x7feaac01a700] wrapper=0x7feaac013f30 ts=46400
20130418100437.003538 <yrtp:ALL> YRTPConsumer::~YRTPConsumer() [0x7feaac01a8a0] wrapper=0x7feaac013f30 ts=8320
20130418100437.003615 <yrtp:ALL> YRTPWrapper::~YRTPWrapper() bidir 'audio' [0x7feaac013f30]
20130418100437.003695 <ALL> Cleaning up RTP 0x7feaac01a420 [0x7feaac013f30]
20130418100437.004348 <sip/7:ALL> YateSIPConnection::~YateSIPConnection() [0x7feaa4000c20]
20130418100437.005934 <javascript:ALL> Assistant for 'sip/7' deleted
20130418100437.006320 <ALL> Rescanning handler list for 'chan.hangup' [0x7feab0041570] at priority 15
20130418100437.008561 <sip:INFO> 'udp:0.0.0.0:5060' sending 'BYE sip:4915XXXXXXXXX@172.16.1.29:56802;transport=UDP' 0x7feab0040f90 to 172.16.1.29:56802 [0x148fae0]
------
BYE sip:4915XXXXXXXXX@172.16.1.29:56802;transport=UDP SIP/2.0
Call-ID: OWM4YzhjNGYxNGZmMjZmYzU1NmNkMTIzZTVjYTM4N2U.
From: <sip:49211XXXXXXXXX@172.16.1.23;transport=UDP>;tag=878072300
To: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=b7088d3c
P-RTP-Stat: PS=53,OS=1749,PR=291,OR=9603,PL=0
Via: SIP/2.0/UDP 172.16.1.23:5060;rport;branch=z9hG4bK516193687
CSeq: 3 BYE
User-Agent: YATE/4.3.1
Max-Forwards: 70
Allow: ACK, INVITE, BYE, CANCEL, REGISTER, REFER, OPTIONS, INFO
Content-Length: 0

------
20130418100437.092994 <sip:INFO> 'udp:0.0.0.0:5060' received 395 bytes SIP message from 172.16.1.29:56802 [0x148fae0]
------
SIP/2.0 200 OK
Via: SIP/2.0/UDP 172.16.1.23:5060;rport=5060;branch=z9hG4bK516193687
Contact: <sip:4915XXXXXXXXX@172.16.1.29:56802;transport=UDP>
To: <sip:4915XXXXXXXXX@172.16.1.23;transport=UDP>;tag=b7088d3c
From: <sip:49211XXXXXXXXX@172.16.1.23;transport=UDP>;tag=878072300
Call-ID: OWM4YzhjNGYxNGZmMjZmYzU1NmNkMTIzZTVjYTM4N2U.
CSeq: 3 BYE
User-Agent: Zoiper r16950
Content-Length: 0

------
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000544)
paulc (administrator)
2014-02-26 16:55

Fixed in Rev. 5790

However, using Engine.sleep() is a bad idea in most cases. Use Engine.setTimeout() and asynchronous processing.

- Issue History
Date Modified Username Field Change
2013-04-18 13:20 asymetrixs New Issue
2013-04-19 13:24 paulc Assigned To => paulc
2013-04-19 13:24 paulc Status new => acknowledged
2013-04-19 13:24 paulc Additional Information Updated
2014-02-26 16:55 paulc Note Added: 0000544
2014-02-26 16:55 paulc Status acknowledged => resolved
2014-02-26 16:55 paulc Resolution open => fixed


Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker